@import url('https://use.fontawesome.com/releases/v5.0.13/css/all.css');

.mt-100{ margin-top : 100px !important; }
.mt-80{ margin-top : 80px !important; }
.mt-70{ margin-top :70px !important; }
.mt-60{ margin-top : 60px !important; }
.mt-50{ margin-top : 50px !important; }
.mt-45{ margin-top : 45px !important; }
.mt-40{ margin-top : 40px !important; }
.mt-35{ margin-top : 35px !important; }
.mt-30{ margin-top : 30px !important; }
.mt-25{ margin-top : 25px !important; }
.mt-20{ margin-top : 20px !important; }
.mt-15{ margin-top : 15px !important; }
.mt-10{ margin-top : 10px !important; }
.mt-5{ margin-top : 5px !important; }
.mt-2{ margin-top : 2px !important; }


.mb-100{ margin-bottom : 100px !important; }
.mb-80{ margin-bottom : 80px !important; }
.mb-70{ margin-bottom :70px !important; }
.mb-60{ margin-bottom : 60px !important; }
.mb-50{ margin-bottom : 50px !important; }
.mb-45{ margin-bottom : 45px !important; }
.mb-40{ margin-bottom : 40px !important; }
.mb-35{ margin-bottom : 35px !important; }
.mb-30{ margin-bottom : 30px !important; }
.mb-25{ margin-bottom : 25px !important; }
.mb-20{ margin-bottom : 20px !important; }
.mb-15{ margin-bottom : 15px !important; }
.mb-10{ margin-bottom : 10px !important; }
.mb-5{ margin-bottom : 5px !important; }
.mb-2{ margin-bottom : 2px !important; }

.p-100{ padding : 100px !important; }
.p-80{ padding : 80px !important; }
.p-70{ padding :70px !important; }
.p-60{ padding : 60px !important; }
.p-50{ padding : 50px !important; }
.p-45{ padding : 45px !important; }
.p-40{ padding : 40px !important; }
.p-35{ padding : 35px !important; }
.p-30{ padding : 30px !important; }
.p-25{ padding : 25px !important; }
.p-20{ padding : 20px !important; }
.p-15{ padding : 15px !important; }
.p-10{ padding : 10px !important; }
.p-5{ padding : 5px !important; }
.p-2{ padding : 2px !important; }




.text-default {
    color : #8c8c8c;
}

.text-danger {
    color: #ff263b !important;
    font-weight: 500 !important;
}
.loginErr {
    margin-top: 15px !important;
    margin-bottom: -5px !important;
    color: #ff263b !important;
    font-size: 15px;
}

.overlay-glass {
    position: fixed;
    background: rgba(0, 0, 0, 0.749);
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 1999;
    backdrop-filter: blur(2px);
}

.app-alert-btn {
    padding : 10px 20px; 
    text-align: center; 
    margin: 0px 0px;
    cursor: pointer;
    transition: 0.2s ease-in;
    border-radius: 5px;
}
.app-alert {
    cursor: pointer;
    padding-right: 0px !important;
    padding-left: 0px !important;
}

.app-alert-btn:hover {
    background: rgb(232, 232, 232);
}

.dropdown-item:focus, .dropdown-item:hover {
    color: #fff;
    text-decoration: none;
    background: linear-gradient(45deg, #4500ff9e, #ff3600c2);
}


.dropdown-item.active, .dropdown-item:active {
    color: #ffffff;
    text-decoration: none;
    background-color: #6b00ff;
}

.user-role-text {
    font-size: 12px;
    margin-top: 6px;
    padding: 5px 10px;
}
.navbar {
    box-shadow: 0 1px 6px #00000047;
}

.active-nav {
    background: linear-gradient(45deg, #4500ff9e, #ff3600c2);
}
 #sidebar .active-nav span {
    color: #ffffff;
}

.dash-box{
    box-shadow: 0 3px 20px #18005a21;
    border-radius: 20px;
    padding: 20px 10px;
    margin-bottom: 20px;
    text-decoration: none;
}

.dash-box-hover:hover{
    box-shadow: 0 3px 5px #18005a29 !important;
}

.a{
    text-decoration: none !important;
}
.a:hover{
    text-decoration: none !important;
}

.dash-box-user::before{
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f501";
    color: #df657475;
    position: absolute;
    right: 27px;
    font-size: 45px;
    overflow: hidden;
    top: 2px;
}
.dash-box-school::before{
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f549";
    color: #df657475;
    position: absolute;
    right: 27px;
    font-size: 45px;
    overflow: hidden;
    top: 2px;
}
.dash-box-course::before{
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f518";
    color: #df657475;
    position: absolute;
    right: 27px;
    font-size: 45px;
    overflow: hidden;
    top: 2px;
}

.dash-box-inr::before{
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f156";
    color: #df657475;
    position: absolute;
    right: 27px;
    font-size: 45px;
    overflow: hidden;
    top: 2px;
}

.dash-box hr {
    margin-top: 15px;
    margin-bottom: 10px;
    border: 0;
    border-top: 2px dashed rgb(69 0 255);
}

.dash-box-badge{
    font-weight: 700;
    font-size: 18px;
    background: linear-gradient(45deg, #d82430, #3c00b3);
    color: #fff;
    padding: 0px 8px;
    border-radius: 50px;
}

.label-primary{
    font-weight: 700;
    color: #6237d8;
    margin-bottom: 2px;
}
.form-group {
    margin-bottom: 10px;
}
.optional {
    color: #14a500;
    font-weight: 700;
}
.form-box {
    background: #f7f7f7;
    padding: 10px 0px;
    margin: 0px 0px;
}
.text-error {
    margin-bottom: 5px !important;
    color: red;
    font-weight: 600;
    text-shadow: 0px 0px 2px white;
}

 /* ---------------- Select2 ----------------------*/
 .chosen-single, .chosen-drop{
    width: 250px !important;
}

.chosen-single {
    height: 32px !important;
    padding: 4px 20px !important;
    border-radius: 4px !important;
}
.active-result{
    padding: 9px 9px !important;
}

.chosen-container .chosen-results li.highlighted {
    background: linear-gradient(0deg, #001169, #001dbc) !important;
}
.chosen-container-multi{
    width: 250px !important;
}

.chosen-container-multi .chosen-choices li.search-choice {
    padding: 7px 25px 7px 11px !important;
    border: 1px solid #7b00ffc2 !important;
    color: white !important;
    font-size: 15px !important;
    max-width: 100% !important;
    border-radius: 3px !important;
    background-color: rgba(0, 33, 214, 0.72) !important;
    background: linear-gradient(28deg, #4500ffc2, #fa6646d9) !important;
}

.chosen-container-multi .chosen-choices li.search-choice  span {
    color: #fff !important;
}
/* ----------------------- DataTable ------------------------- */
table.dataTable tbody td {
    padding: 0px 5px !important;
    font-weight: 500 !important;
    font-size: 13px !important;
}

table th, td{
    text-align: left !important;
}

table.dataTable thead th{
    padding: 5px 18px !important;
    font-weight: 600 !important;
    background: #5c00ff;
    font-size: 14px;
    color: #ffffff !important;
    border-bottom: 1px solid rgba(0, 0, 0, 0) !important;
}
table.dataTable.no-footer {
    border-bottom: 1px solid #e4e4e4 !important;
}

.dataTables_wrapper .dataTables_filter input {
    margin-left: 0.5em;
    border: 1px solid #d0d0d0 !important;
}

select[name=DataTables_Table_0_length] {
    border: 1px solid #d0d0d0 !important;
}
.dataTables_wrapper .dataTables_paginate .paginate_button.current {
    color: #ffffff !important
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current {
    color: #fff !important;
    border: 1px solid #4500ff70 !important;
    background: #4500ff30!important;
    outline: none !important;
}
.dataTables_wrapper .dataTables_paginate .paginate_button {
    padding: 3px 12px !important;
}

table.dataTable.dtr-column>tbody>tr>td.control:before, table.dataTable.dtr-column>tbody>tr>th.control:before {
    top: 50% !important;
    right: 0px !important;
    height: 14px !important;
    width: 14px !important;
    margin-top: -9px !important;
    margin-left: 0px !important;
    display: block !important;
    position: absolute !important;
    color: white !important;
    border: 2px solid #ffffff !important;
    border-radius: 14px !important;
    box-shadow: 0 0 3px #444 !important;
    box-sizing: content-box !important;
    text-align: center !important;
    text-indent: 0 !important;
    line-height: 16px !important;
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "▸";
    background-color: #4500ff !important;
}

.pull-right{ float:right !important; margin-left: 3px !important; }
.pull-left{ float:left !important; margin-left: 3px !important; }
label {
    float: left;
}

.chosen-container-multi .chosen-choices{
    height: 36px !important;
    padding: .4375rem .75rem !important;
    font-size: .8125rem !important;
    line-height: 1.5 !important;
    color: #495057 !important;
    background-color: #ffffff !important;
    background-image: none !important;
    border: 1px solid #e1e5eb !important;
    font-weight: 300 !important;
    will-change: border-color,box-shadow !important;
    border-radius: .25rem !important;
    box-shadow: none !important;
    transition: box-shadow 250ms cubic-bezier(.27,.01,.38,1.06),border 250ms cubic-bezier(.27,.01,.38,1.06) !important;
}

.not-found{
    color: red !important;
    font-size: 14px !important;
    font-weight: 500;
}

.btn-sm {
    padding: 5px 10px !important;
    font-size: .6875rem !important;
    line-height: 1.4 !important;
    border-radius: 2px !important;
}
.dtr-details {
    width: 100% !important;
}

.dt-buttons {
    margin-bottom: -23px !important;
}
.dt-button {
    background: linear-gradient(45deg, #4500ff9e, #ff3600c2) !important;
    color: #403939 !important;
    padding: 2px 17px !important;
    border-radius: 2px !important;
    border: 1px solid #bb63b0  !important;
    box-shadow: 0 1px 3px #00000069 !important;
    cursor: pointer;
    outline: none !important;
}
.dt-button:hover{
    /* background: #2d00a8 !important; */
    background : #4500ff9e!important;
    border: 1px solid #4500ff9e  !important;
}

.dt-button span{
    color : #ffffff !important;
}


.dtr-details{
    columns: 2;
    -webkit-columns: 2;
    -moz-columns: 2;
    background: #ffeb3b87 !important;
}

.dtr-details>li {
    border-bottom: 1px dashed #ffffff00 !important;
    padding: 2px 21px !important;
    font-size: 14px !important;
}

.dtr-title{
    width: 40% !important;
}
.dtr--data{
    width: 60% !important;
}

.dataTables_wrapper .dataTables_processing {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 62px !important;
    color: #51ff5a !important;
    margin-left: -50%;
    margin-top: -25px;
    padding-top: 20px;
    text-align: center;
    font-size: 1.2em;
    background-color: black !important;
    background: -webkit-gradient(linear, left top, right top, color-stop(0%, rgba(255,255,255,0)), color-stop(25%, rgba(0, 0, 0, 0.9)), color-stop(75%, rgba(0, 0, 0, 0.9)), color-stop(100%, rgba(255,255,255,0))) !important;
    background: -webkit-linear-gradient(left, rgb(255, 255, 255) 0%, rgb(0, 0, 0) 25%, rgb(0, 0, 0) 75%, rgba(255,255,255,0) 100%) !important;
    background: -moz-linear-gradient(left, rgb(255, 255, 255) 0%, rgb(0, 0, 0) 25%, rgb(0, 0, 0) 75%, rgba(255,255,255,0) 100%) !important;
    background: -ms-linear-gradient(left, rgb(255, 255, 255) 0%, rgb(0, 0, 0) 25%, rgb(0, 0, 0) 75%, rgba(255,255,255,0) 100%) !important;
    background: -o-linear-gradient(left, rgb(255, 255, 255) 0%, rgb(0, 0, 0) 25%, rgb(0, 0, 0) 75%, rgba(255,255,255,0) 100%) !important;
    background: linear-gradient(to right, rgb(255, 255, 255) 0%, rgb(0, 0, 0) 25%, rgb(0, 0, 0) 75%, rgba(255,255,255,0) 100%) !important;
}

.navbar-brand{
    margin-left: 235px;
}

@media(max-width:768px){
    .dt-buttons {
        margin-bottom: 11px !important;
    }
    .navbar-brand{
        margin-left: 25px !important;
    }
}


/* ----------------------- End DataTable ------------------------- */

.checkb-align{
    box-sizing: border-box;
    margin: 4px 18px 4px 3px !important;
    display: inline-block;
    float: left;
}
.checkb-align-20{
    box-sizing: border-box;
    margin: 0px 19px 20px 3px !important;
    display: inline-block;
    float: left;
}
.text-a {
    color : #4500ff !important;
}
.text-a:hover{
    color : #ff3600c2 !important;
}

.blur {
    color: transparent;
    text-shadow: 0 0 8px rgba(0, 0, 0, 0.842);
}
.blur:hover {
    color: red;
    text-shadow: 0 0 0px rgba(0, 0, 0, 0);
}

.info-table th {
    font-weight: 700 !important;
    background: #f3f3f3;
    color:#200077;
}

.image-middle {
    margin: 0;
    position: absolute;
    top: 50%;
    left: 55%;
    transform: translate(-50%, -50%);
}

.label-file {
    padding: 5px 25px;
    background: #4500ff;
    border-radius: 11px;
    color: white !important;
    display: table;
    cursor: pointer !important;
    transition: 0.2s all;
    box-shadow: 0 3px 9px #4500ff8a;
}

input[type=file] {
    display: none;
}

.h-auto {
    height: 200px !important;
}

/*------------- Css Loader ------------- */

.loader {
    border: 4px solid #eaeaea59;
    border-radius: 50%;
    border-top: 4px solid #4600ff;
    width: 60px;
    height: 60px;
    -webkit-animation: spin 0.8s linear infinite;
    animation: spin 0.8s linear infinite;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
.overlay {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 9000;
    background: rgb(255 255 255 / 66%);
    display: none;
}

.make-blur {
    filter: blur(3px);
    -webkit-filter: blur(3px);
}

.adj-loader {
    position: absolute;
    top: 36%;
    left: 48%;
}

.text-loader {
    position: absolute;
    top: 46%;
    width: 100%;
    /* left: 30%; */
    font-weight: 700;
    color: #4600ff !important;
    text-shadow: 0px 0px 4px white;
}

.count-del {
    float: right;
    padding: 3px 10px !important;
    font-size: 15px;
    margin-top: 0.7px;
    background: #5c00ff1a;
    color: #3e00ad;
}
.fw-800{
    font-weight: 800 !important;
}
.s-hr{
    border-top: 1px solid #3333331f !important;
    margin-top: 0px !important;
    margin-bottom: 0px !important;
}


.error, .error .chosen-container {
    /* margin-bottom: 1px !important; */
    border: 1px solid red;
    /* font-weight: 500;
    text-shadow: 0px 0px 2px white;
    font-size: 12px; */
}

.fw600{
    font-weight: 600 !important;
}
.fw400{
    font-weight: 400 !important;
}
.fw500{
    font-weight: 500 !important;
}
.fw700{
    font-weight: 700 !important;
}
.action-modal{
    width: 80%;
    pointer-events: auto;
    background-color: #fff;
    border: 1px solid rgba(0, 0, 0, 0.137);
    border-radius: 2px;
    outline: 0;
    box-shadow: 7px 5px 12px 0px #00000061;
}
.fade.show {
    backdrop-filter: blur(2px) !important;
}